Skip to main content
L’API REST est maintenant versionnée. Pour plus d’informations, consultez « À propos des versions de l’API ».

Points de terminaison de l’API REST pour les appartenances aux équipes d’entreprise

Utilisez l’API REST pour créer et gérer l’appartenance aux équipes d’entreprise dans votre GitHub entreprise.

About enterprise team members

Remarque

These endpoints are currently in public preview and subject to change.

This API documentation is for enterprises on GitHub Enterprise Cloud.

If your enterprise is Copilot Business for non-GHE, please refer to the early access documentation link that was previously shared to you.

These endpoints are only available to authenticated members of the enterprise team's enterprise with classic personal access tokens with the read:enterprise scope for GET APIs and admin:enterprise for other APIs.

These endpoints are not compatible with fine-grained personal access tokens or GitHub App access tokens.

GitHub generates the enterprise team's slug from the team name and adds the ent: prefix.

List members in an enterprise team

Lists all team members in an enterprise team.

Jetons d'accès granulaires pour «List members in an enterprise team»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (read)

Paramètres pour «List members in an enterprise team »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

Paramètres de requête
Nom, Type, Description
per_page integer

The number of results per page (max 100). For more information, see "Using pagination in the REST API."

Par défaut: 30

page integer

The page number of the results to fetch. For more information, see "Using pagination in the REST API."

Par défaut: 1

Codes d’état de réponse HTTP pour «List members in an enterprise team »

Code de statutDescription
200

OK

Exemples de code pour «List members in an enterprise team »

Exemple de requête

get/enterprises/{enterprise}/teams/{enterprise-team}/memberships
curl -L \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships

Response

Status: 200
[ { "login": "octocat", "id": 1, "node_id": "MDQ6VXNlcjE=", "avatar_url": "https://github.com/images/error/octocat_happy.gif", "gravatar_id": "", "url": "https://api.github.com/users/octocat", "html_url": "https://github.com/octocat", "followers_url": "https://api.github.com/users/octocat/followers", "following_url": "https://api.github.com/users/octocat/following{/other_user}", "gists_url": "https://api.github.com/users/octocat/gists{/gist_id}", "starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}", "subscriptions_url": "https://api.github.com/users/octocat/subscriptions", "organizations_url": "https://api.github.com/users/octocat/orgs", "repos_url": "https://api.github.com/users/octocat/repos", "events_url": "https://api.github.com/users/octocat/events{/privacy}", "received_events_url": "https://api.github.com/users/octocat/received_events", "type": "User", "site_admin": false } ]

Bulk add team members

Add multiple team members to an enterprise team.

Jetons d'accès granulaires pour «Bulk add team members»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (write)

Paramètres pour «Bulk add team members »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

Paramètres du corps
Nom, Type, Description
usernames array of strings Requis

The GitHub user handles to add to the team.

Codes d’état de réponse HTTP pour «Bulk add team members »

Code de statutDescription
200

Successfully added team members.

Exemples de code pour «Bulk add team members »

Exemple de requête

post/enterprises/{enterprise}/teams/{enterprise-team}/memberships/add
curl -L \ -X POST \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships/add \ -d '{"usernames":["monalisa","octocat"]}'

Successfully added team members.

Status: 200
[ { "login": "octocat", "id": 1, "node_id": "MDQ6VXNlcjE=", "avatar_url": "https://github.com/images/error/octocat_happy.gif", "gravatar_id": "", "url": "https://api.github.com/users/octocat", "html_url": "https://github.com/octocat", "followers_url": "https://api.github.com/users/octocat/followers", "following_url": "https://api.github.com/users/octocat/following{/other_user}", "gists_url": "https://api.github.com/users/octocat/gists{/gist_id}", "starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}", "subscriptions_url": "https://api.github.com/users/octocat/subscriptions", "organizations_url": "https://api.github.com/users/octocat/orgs", "repos_url": "https://api.github.com/users/octocat/repos", "events_url": "https://api.github.com/users/octocat/events{/privacy}", "received_events_url": "https://api.github.com/users/octocat/received_events", "type": "User", "site_admin": false } ]

Bulk remove team members

Remove multiple team members from an enterprise team.

Jetons d'accès granulaires pour «Bulk remove team members»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (write)

Paramètres pour «Bulk remove team members »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

Paramètres du corps
Nom, Type, Description
usernames array of strings Requis

The GitHub user handles to be removed from the team.

Codes d’état de réponse HTTP pour «Bulk remove team members »

Code de statutDescription
200

Successfully removed team members.

Exemples de code pour «Bulk remove team members »

Exemple de requête

post/enterprises/{enterprise}/teams/{enterprise-team}/memberships/remove
curl -L \ -X POST \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships/remove \ -d '{"usernames":["monalisa","octocat"]}'

Successfully removed team members.

Status: 200
[ { "login": "octocat", "id": 1, "node_id": "MDQ6VXNlcjE=", "avatar_url": "https://github.com/images/error/octocat_happy.gif", "gravatar_id": "", "url": "https://api.github.com/users/octocat", "html_url": "https://github.com/octocat", "followers_url": "https://api.github.com/users/octocat/followers", "following_url": "https://api.github.com/users/octocat/following{/other_user}", "gists_url": "https://api.github.com/users/octocat/gists{/gist_id}", "starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}", "subscriptions_url": "https://api.github.com/users/octocat/subscriptions", "organizations_url": "https://api.github.com/users/octocat/orgs", "repos_url": "https://api.github.com/users/octocat/repos", "events_url": "https://api.github.com/users/octocat/events{/privacy}", "received_events_url": "https://api.github.com/users/octocat/received_events", "type": "User", "site_admin": false } ]

Get enterprise team membership

Returns whether the user is a member of the enterprise team.

Jetons d'accès granulaires pour «Get enterprise team membership»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (read)

Paramètres pour «Get enterprise team membership »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

username string Requis

The handle for the GitHub user account.

Codes d’état de réponse HTTP pour «Get enterprise team membership »

Code de statutDescription
200

User is a member of the enterprise team.

Exemples de code pour «Get enterprise team membership »

Exemple de requête

get/enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}
curl -L \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships/USERNAME

User is a member of the enterprise team.

Status: 200
{ "login": "octocat", "id": 1, "node_id": "MDQ6VXNlcjE=", "avatar_url": "https://github.com/images/error/octocat_happy.gif", "gravatar_id": "", "url": "https://api.github.com/users/octocat", "html_url": "https://github.com/octocat", "followers_url": "https://api.github.com/users/octocat/followers", "following_url": "https://api.github.com/users/octocat/following{/other_user}", "gists_url": "https://api.github.com/users/octocat/gists{/gist_id}", "starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}", "subscriptions_url": "https://api.github.com/users/octocat/subscriptions", "organizations_url": "https://api.github.com/users/octocat/orgs", "repos_url": "https://api.github.com/users/octocat/repos", "events_url": "https://api.github.com/users/octocat/events{/privacy}", "received_events_url": "https://api.github.com/users/octocat/received_events", "type": "User", "site_admin": false }

Add team member

Add a team member to an enterprise team.

Jetons d'accès granulaires pour «Add team member»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (write)

Paramètres pour «Add team member »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

username string Requis

The handle for the GitHub user account.

Codes d’état de réponse HTTP pour «Add team member »

Code de statutDescription
201

Successfully added team member

Exemples de code pour «Add team member »

Exemple de requête

put/enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}
curl -L \ -X PUT \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships/USERNAME

Successfully added team member

Status: 201
{ "login": "octocat", "id": 1, "node_id": "MDQ6VXNlcjE=", "avatar_url": "https://github.com/images/error/octocat_happy.gif", "gravatar_id": "", "url": "https://api.github.com/users/octocat", "html_url": "https://github.com/octocat", "followers_url": "https://api.github.com/users/octocat/followers", "following_url": "https://api.github.com/users/octocat/following{/other_user}", "gists_url": "https://api.github.com/users/octocat/gists{/gist_id}", "starred_url": "https://api.github.com/users/octocat/starred{/owner}{/repo}", "subscriptions_url": "https://api.github.com/users/octocat/subscriptions", "organizations_url": "https://api.github.com/users/octocat/orgs", "repos_url": "https://api.github.com/users/octocat/repos", "events_url": "https://api.github.com/users/octocat/events{/privacy}", "received_events_url": "https://api.github.com/users/octocat/received_events", "type": "User", "site_admin": false }

Remove team membership

Remove membership of a specific user from a particular team in an enterprise.

Jetons d'accès granulaires pour «Remove team membership»

Ce point de terminaison fonctionne avec les types de tokens à granularité fine suivants:

Le token à granularité fine doit disposer de l’ensemble d’autorisations suivant:

  • "Enterprise teams" enterprise permissions (write)

Paramètres pour «Remove team membership »

En-têtes
Nom, Type, Description
accept string

Setting to application/vnd.github+json is recommended.

Paramètres de chemin d’accès
Nom, Type, Description
enterprise string Requis

The slug version of the enterprise name.

enterprise-team string Requis

The slug version of the enterprise team name. You can also substitute this value with the enterprise team id.

username string Requis

The handle for the GitHub user account.

Codes d’état de réponse HTTP pour «Remove team membership »

Code de statutDescription
204

No Content

403

Forbidden

Exemples de code pour «Remove team membership »

Exemple de requête

delete/enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}
curl -L \ -X DELETE \ -H "Accept: application/vnd.github+json" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "X-GitHub-Api-Version: 2026-03-10" \ https://api.github.com/enterprises/ENTERPRISE/teams/ENTERPRISE-TEAM/memberships/USERNAME

Response

Status: 204